blit_table Struct Reference
Collaboration diagram for blit_table:
[legend]

## Public Types

enum | { NO_ALPHA = 1, SET_ALPHA = 2, COPY_ALPHA = 4 }

## Data Fields

Uint32 | srcR
Uint32 | srcG
Uint32 | srcB
int | dstbpp
Uint32 | dstR
Uint32 | dstG
Uint32 | dstB
Uint32 | blit_features
SDL_BlitFunc | blitfunc
enum blit_table:: { ... } | alpha

## Detailed Description

Definition at line 2458 of file SDL_blit_N.c.

## Member Enumeration Documentation

anonymous enum

Enumerator
NO_ALPHA |
SET_ALPHA |
COPY_ALPHA |

Definition at line 2465 of file SDL_blit_N.c.

{ NO_ALPHA = 1, SET_ALPHA = 2, COPY_ALPHA = 4 } alpha;
blit_table::alpha
enum blit_table::@28 alpha
blit_table::SET_ALPHA
Definition: SDL_blit_N.c:2466
blit_table::NO_ALPHA
Definition: SDL_blit_N.c:2466
blit_table::COPY_ALPHA
Definition: SDL_blit_N.c:2466

## Field Documentation

enum { ... } blit_table::alpha

Referenced by SDL_CalculateBlitN().

Uint32 blit_table::blit_features

Definition at line 2463 of file SDL_blit_N.c.

Referenced by SDL_CalculateBlitN().

SDL_BlitFunc blit_table::blitfunc

Definition at line 2464 of file SDL_blit_N.c.

Referenced by SDL_CalculateBlitN().

Uint32 blit_table::dstB

Definition at line 2462 of file SDL_blit_N.c.

Referenced by SDL_Blit_Slow(), and SDL_CalculateBlitN().

int blit_table::dstbpp

Definition at line 2461 of file SDL_blit_N.c.

Referenced by SDL_Blit_Slow(), and SDL_CalculateBlitN().

Uint32 blit_table::dstG

Definition at line 2462 of file SDL_blit_N.c.

Referenced by SDL_Blit_Slow(), and SDL_CalculateBlitN().

Uint32 blit_table::dstR

Definition at line 2462 of file SDL_blit_N.c.

Referenced by SDL_Blit_Slow(), and SDL_CalculateBlitN().

Uint32 blit_table::srcB

Definition at line 2460 of file SDL_blit_N.c.

Referenced by SDL_Blit_Slow(), and SDL_CalculateBlitN().

Uint32 blit_table::srcG

Definition at line 2460 of file SDL_blit_N.c.

Referenced by SDL_Blit_Slow(), and SDL_CalculateBlitN().

Uint32 blit_table::srcR

Definition at line 2460 of file SDL_blit_N.c.

Referenced by SDL_Blit_Slow(), and SDL_CalculateBlitN().

The documentation for this struct was generated from the following file:

- src/video/SDL_blit_N.c